org.apache.fop.events

## Class LoggingEventListener

- java.lang.Object
- - org.apache.fop.events.LoggingEventListener

- All Implemented Interfaces:
    java.util.EventListener

      public class LoggingEventListener
      extends java.lang.Object
      implements EventListener

  EventListener implementation that redirects events to Commons Logging. The events are converted to localized messages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingEventListener()` Creates an instance logging to the default log category of this class.
    `LoggingEventListener(org.apache.commons.logging.Log log)` Creates an instance logging to a given logger.
    `LoggingEventListener(org.apache.commons.logging.Log log, boolean skipFatal)` Creates an instance logging to a given logger.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.logging.Log` | `getLog()` Returns the target logger for this instance.
    `void` | `processEvent(Event event)` This method is called for each event that is generated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoggingEventListener

          public LoggingEventListener()

      Creates an instance logging to the default log category of this class.

    - #### LoggingEventListener

          public LoggingEventListener(org.apache.commons.logging.Log log)

      Creates an instance logging to a given logger. Events with fatal severity level will be skipped.
      Parameters:
        `log` - the target logger

    - #### LoggingEventListener

          public LoggingEventListener(org.apache.commons.logging.Log log,
                                      boolean skipFatal)

      Creates an instance logging to a given logger.
      Parameters:
        `log` - the target logger
        `skipFatal` - true if events with fatal severity level should be skipped (i.e. not logged)

  - ### Method Detail

    - #### getLog

          public org.apache.commons.logging.Log getLog()

      Returns the target logger for this instance.
      Returns:
        the target logger

    - #### processEvent

          public void processEvent(Event event)

      This method is called for each event that is generated. With the event's ID it is possible to react to certain events. Events can also simply be recorded and presented to a user. It is possible to throw an (unchecked) exception if the processing needs to be aborted because some special event occurred. This way the client can configure the behaviour of the observed application.
      Parameters:
        `event` - the event

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.